MACHINE=ap
SCRIPT_NAME=elf_xip
TEMPLATE_NAME=elf32
OUTPUT_FORMAT="elf32-avr32"
ARCH=avr32
MAXPAGESIZE=4096
ENTRY=_start
EMBEDDED=yes
NO_SMALL_DATA=yes
NOP=0xd703d703

TEXT_START_ADDR=0xa0000000
DATA_SEGMENT_ALIGN=8
BSS_ALIGNMENT=8

INITIAL_READONLY_SECTIONS=".reset : {  *(.reset) } >FLASH AT>FLASH
    . = . & 0x1fffffff;"

MEMORY="MEMORY
  {
    FLASH (rxai) : ORIGIN = 0x00000000, LENGTH = 0x4000000
    SRAM (rwxa) : ORIGIN = 0x24000000, LENGTH = 0x8000
  }"
RO_LMA_REGION="FLASH"
RO_VMA_REGION="FLASH"
RW_LMA_REGION="FLASH"
RW_VMA_REGION="SRAM"

STACK_SIZE=0x1000
STACK_ADDR="ORIGIN(SRAM) + LENGTH(SRAM) - ${STACK_SIZE}"

DATA_SEGMENT_END="__heap_start__ = ALIGN(8);
  . = ${STACK_ADDR};
  __heap_end__ = .;"
